<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tasks', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger("client_id")->nullable();
            $table->foreign("client_id")->references("id")->on("clients")->onUpdate("CASCADE")->onDelete("CASCADE");
            $table->unsignedBigInteger("project_id")->nullable();
            $table->foreign("project_id")->references("id")->on("projects")->onUpdate("CASCADE")->onDelete("CASCADE");
            $table->longText("title")->nullable();
            $table->longText("description")->nullable();
            $table->double("price")->default(0);
            $table->enum("status", ["todo", "progress", "done"])->default("todo");
            $table->enum("payment_status", ["paid", "not_paid", "price_not_finalized"])->default("price_not_finalized");
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('tasks');
    }
};
