@extends ("admin/layouts/app")
@section ("title", "Edit client")

@section ("main")

  <div class="pagetitle">
    <h1>Add client</h1>
    <nav>
      <ol class="breadcrumb">
        <li class="breadcrumb-item">Clients</li>
        <li class="breadcrumb-item">Edit</li>
        <li class="breadcrumb-item active">{{ $client->id }}</li>
      </ol>
    </nav>
  </div>

  <section class="section">
    <div class="row">
      <div class="col-12">
        <div class="card">
          <div class="card-body">
            <h5 class="card-title">Client information</h5>

            <form onsubmit="editClient()" id="form-edit-client">
                <input type="hidden" name="id" value="{{ $client->id }}" required />

              <div class="row mb-3">
                <label class="col-sm-2 col-form-label">Name</label>
                <div class="col-sm-10">
                  <input type="text" class="form-control" name="name" value="{{ $client->name }}" required />
                </div>
              </div>

              <div class="row mb-3">
                <label class="col-sm-2 col-form-label">Email</label>
                <div class="col-sm-10">
                  <input type="email" class="form-control" name="email" value="{{ $client->email }}" />
                </div>
              </div>

              <div class="row mb-3">
                <label class="col-sm-2 col-form-label">Phone</label>
                <div class="col-sm-10">
                  <input type="text" class="form-control" name="phone" value="{{ $client->phone }}" />
                </div>
              </div>

              <div class="row mb-3">
                <label class="col-sm-2 col-form-label">Password (leave empty if not changed)</label>
                <div class="col-sm-10">
                  <input type="password" class="form-control" name="password" />
                </div>
              </div>

              <input type="submit" name="submit" class="btn btn-outline-warning" value="Edit" />
            </form>
          </div>
        </div>
      </div>
    </div>
  </section>

  <script>

    window.addEventListener("load", function () {
        setTimeout(function () {
            document.querySelector("input[type='password']").value = ""
        }, 1000)
    })

    async function editClient() {
      event.preventDefault()

      const form = event.target
      const formData = new FormData(form)
      form.submit.setAttribute("disabled", "disabled")

      try {
        const response = await axios.post(
          baseUrl + "/api/admin/clients/update",
          formData,
          {
            headers: {
              Authorization: "Bearer " + localStorage.getItem(accessTokenKey)
            }
          }
        )

        if (response.data.status == "success") {
          swal.fire("Update client", response.data.message, "success")
        } else {
          swal.fire("Error", response.data.message, "error")
        }
      } catch (exp) {
        swal.fire("Error", exp.message, "error")
      } finally {
        form.submit.removeAttribute("disabled")
      }
    }
  </script>

@endsection